/*---------------------------------------------------------------------------

	File:
		game.cpp

	Abstract:
		Game descriptors

	Revisions:
		31-Jan-97 EAM Created

	Copyright (C) 1997 Edward Massey

---------------------------------------------------------------------------*/

#include "pch.h"
#include "game.h"

extern GAME_DESCRIPTOR
	_gmdGalaxian,
	_gmdGalaxianNamco,
	_gmdSuperGalaxian,
	_gmdGalaxianPartX,
	_gmdGalaxianTurbo,
	_gmdPisces,
	_gmdWarOfTheBugs,
	_gmdMoonCresta,
	_gmdTheEnd,
	_gmdAmidar,
	_gmdFrogger,
	_gmdTurtles,
	_gmdDonkeyKong,
	_gmdDonkeyKongJr,
	_gmdMarioBros,
	_gmdPengo,
	_gmdPacman,
	_gmdMsPacman,
	_gmdMrDo,
	_gmdPhoenix,
	_gmdPleiades,
	_gmdLadybug,
	_gmdSpaceInvaders,
	_gmdVanguard,
	_gmdScramble,
	_gmdAsteroids,
	_gmdSoundTest,
	_gmdInvaders,
	_gmdInvadersDeluxe,
	_gmdLunarRescue,
	_gmdZaxxon,
	_gmdCentipede,
	_gmdGorf,
	_gmdGalaga,
	_gmdWizardOfWor,
	_gmdCarnival,
	_gmdCongoBongo,
	_gmdBurgerTime,
	_gmdTimePilot,
	_gmdMoonPatrol,
	_gmdDigDug,
	_gmdBerzerk,
	_gmdAstroBlaster,
	_gmdMillipede,
	_gmdVenture,
	_gmdGyruss,
	_gmdTestZ80;

const GAME_DESCRIPTOR *_rgpGameDesc[] =
{
	&_gmdGalaga,
	&_gmdGyruss,
	&_gmdMrDo,
	&_gmdPacman,
	&_gmdMsPacman,
	&_gmdTimePilot,
//	&_gmdTestZ80,
	&_gmdFrogger,
	&_gmdMoonPatrol,
	&_gmdPhoenix,
	&_gmdPleiades,
	&_gmdGalaxian,
	&_gmdDonkeyKong,
	&_gmdDonkeyKongJr,
	&_gmdMarioBros,
	&_gmdScramble,
	&_gmdCentipede,
//	&_gmdVenture,
	&_gmdZaxxon,
	&_gmdInvaders,
	&_gmdInvadersDeluxe,
	&_gmdLunarRescue,

/*
//	&_gmdMillipede,
//	&_gmdVanguard,
	&_gmdBurgerTime,
*/
/*
//	&_gmdAmidar,
//	&_gmdTurtles,
//	&_gmdPengo,
//	&_gmdLadybug,
//	&_gmdAsteroids,

//	&_gmdGalaxianNamco,
//	&_gmdSuperGalaxian,
//	&_gmdGalaxianPartX,
//	&_gmdGalaxianTurbo,
//	&_gmdWarOfTheBugs,
//	&_gmdMoonCresta,
//	&_gmdPisces,
//	&_gmdTheEnd,
	&_gmdSoundTest,

	&_gmdCongoBongo,
	&_gmdDigDug,
//	&_gmdGorf,
//	&_gmdWizardOfWor,
//	&_gmdCarnival,
//	&_gmdAstroBlaster,
//	&_gmdBerzerk,
*/
	NULL
};

const DRIVER_DESCRIPTOR _rgDrivers[] = 
{
	{ "scramble",     &_gmdScramble },
	{ "gyruss",       &_gmdGyruss },
	{ "galaga",       &_gmdGalaga },
	{ "MrDo",         &_gmdMrDo },
	{ "time_pilot",   &_gmdTimePilot },
	{ "pacman",       &_gmdPacman },
	{ "mspacman",     &_gmdMsPacman },
	{ "frogger",      &_gmdFrogger },
	{ "invaders",     &_gmdInvaders },
	{ "moon_patrol",  &_gmdMoonPatrol },
	{ "zaxxon",       &_gmdZaxxon },
	{ "phoenix",      &_gmdPhoenix },
	{ "galaxian",     &_gmdGalaxian },
	{ "dkong",        &_gmdDonkeyKong },
	{ "dkongjr",      &_gmdDonkeyKongJr },
	{ "mario_bros",   &_gmdMarioBros },
	{ "centipede",    &_gmdCentipede },
	{ NULL,           NULL }
};

