/*---------------------------------------------------------------------------

	File:
	
	Abstract:

	Revisions:
		25-Mar-97 EAM Created

	Copyright (C) 1997 Edward Massey

---------------------------------------------------------------------------*/

#ifndef _GRAPHICS_H_
#define _GRAPHICS_H_

#include "blit.h"
#include "game1.h" // RomModule definition

void BuildCompositePalette(const PALETTEENTRY *ppe, int cpe,
	const BYTE *pclt, UINT cclt, PALETTEENTRY *ppeOut, int cpeOutMax,
	UINT &cpeOut);

//////////////////////////////////////////////

struct MY_GFX_DECODE2
{
	SIZE sizImage;
	int cImage;
	int cbImagePitch;
	int cPlane;
	int rgcbPlanePitch[4];
	int cBpp;
	int xoffset[32];
	int yoffset[32];
};

struct DECODE_GRAPHICS
{
	DWORD dwFlags;
	MY_GFX_DECODE2 mgd;
	int cImageInc;
	int cMirror;
	int rgiMirror[4];
	int cBitShift;
	int *pnTransparent;
};

struct DECODE_GRAPHICS2 : DECODE_GRAPHICS
{
//	RomModule rgRomModule[16];
};

#define DGF_TRANSPARENT 0x00000001

struct IMAGE
{
	int    cImages;
	SIZE   sizImage;
	DWORD  dwFlags;
	LPBYTE rgbData;
	LPBYTE rgbMask;
//	int    cBpp;

	inline void DrawChar(LPBYTE rgbBuffer, LONG lPitch,
		int x, int y, int n);

	inline void DrawChar(LPBYTE rgbBuffer, LONG lPitch,
		int x, int y, int n, int color);

	inline void DrawSprite(LPBYTE rgbBuffer, LONG lPitch,
		int x, int y, int n, int color);

	inline void DrawSprite2(LPBYTE rgbBuffer, LONG lPitch,
		int x, int y, int n, int color);
};

HRESULT MyGfxDecode3(const DECODE_GRAPHICS &dgs, const BYTE *rgbSource, IMAGE *&pImage);
HRESULT FreeImage(IMAGE *pImage);

inline void IMAGE::DrawChar(LPBYTE rgbBuffer, LONG lPitch,
	int x, int y, int n)
{
	::DrawChar(rgbData, n, x, y, rgbBuffer, lPitch);
}

inline void IMAGE::DrawChar(LPBYTE rgbBuffer, LONG lPitch,
	int x, int y, int n, int color)
{
	::DrawChar(rgbData, n, color, x, y, rgbBuffer, lPitch);
}

inline void IMAGE::DrawSprite(LPBYTE rgbBuffer, LONG lPitch,
	int x, int y, int n, int color)
{
	::DrawSprite(rgbData, rgbMask, n, color, x, y, rgbBuffer, lPitch);
}

inline void IMAGE::DrawSprite2(LPBYTE rgbBuffer, LONG lPitch,
	int x, int y, int n, int color)
{
	::DrawSprite2(rgbBuffer, lPitch, x, y, n, color, rgbData, rgbMask);
}

#endif // _GRAPHICS_H_

